DocTest : Mono.DocTest.Generic Namespace

# IFoo<T> Generic Interface

Documentation for this section has not yet been entered.

## Syntax

public interface IFoo<T>

#### Type Parameters

> T
>   T generic param

## Remarks

`T:Mono.DocTest.IFoo`1`.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

## Public Methods

Method<U> (T, U) : T

> Documentation for this section has not yet been entered.

## Extension Methods

static

Bar<T> (this IFoo<T>, string)

> Mono.DocTest.Generic.IFoo`1 extension method

static

ToDouble<T> (this T) : double

> Mono.DocTest.Generic.IFoo`1 extension method.

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### Method<U> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public T Method<U> (T t, U u)

> #### Type Parameters

> > U
> >   U generic param

> #### Parameters

> > t
> >   Documentation for this section has not yet been entered.
> > u
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `T:Mono.DocTest.IFoo`1.Method``1(`0,``0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0